Evolution doesn't start

Hello,
I have openSUSE 11.0 (x86_64) with latest updates and I installed from
Yast->Software->Software Management the Evolution packages and
additional dependencies as requested by the Package Manager, rebooted
the system, but when I start from the Aplication Launcher->New
Applications->Evolution Email nothing happens. I tried to start both as
root and as user from command line “evolution” and it fails with the
error messages below. Do you have any idea how to fix this? Thank you in
advance.

user@openSuse:~> evolution
Type EPluginMono registered from the mono-plugin-loader

(evolution:4085): e-utils-WARNING **: can’t load plugin
‘/usr/lib64/evolution/2.24/plugins/liborg-gnome-evolution-google.so’:
/usr/lib64/evolution/2.24/plugins/liborg-gnome-evolution-google.so:
undefined symbol: g_dgettext

(evolution:4085): e-utils-WARNING **: can’t load plugin
‘/usr/lib64/evolution/2.24/plugins/liborg-gnome-evolution-google.so’:
/usr/lib64/evolution/2.24/plugins/liborg-gnome-evolution-google.so:
undefined symbol: g_dgettext

(evolution:4085): e-utils-WARNING **: can’t load plugin
‘/usr/lib64/evolution/2.24/plugins/liborg-gnome-exchange-operations.so’:
/usr/lib64/libexchange-storage-1.2.so.3: undefined symbol: g_dgettext

(evolution:4085): e-utils-WARNING **: can’t load plugin
‘/usr/lib64/evolution/2.24/plugins/liborg-gnome-exchange-operations.so’:
/usr/lib64/libexchange-storage-1.2.so.3: undefined symbol: g_dgettext

(evolution:4085): e-utils-WARNING **: can’t load plugin
‘/usr/lib64/evolution/2.24/plugins/liborg-gnome-gw-account-setup.so’:
/usr/lib64/libegroupwise-1.2.so.13: undefined symbol: g_dgettext

(evolution:4085): e-utils-WARNING **: can’t load plugin
‘/usr/lib64/evolution/2.24/plugins/liborg-gnome-gw-account-setup.so’:
/usr/lib64/libegroupwise-1.2.so.13: undefined symbol: g_dgettext

(evolution:4085): e-utils-WARNING **: can’t load plugin
‘/usr/lib64/evolution/2.24/plugins/liborg-gnome-evolution-caldav.so’:
/usr/lib64/evolution/2.24/plugins/liborg-gnome-evolution-caldav.so:
undefined symbol: g_dgettext

(evolution:4085): e-utils-WARNING **: can’t load plugin
‘/usr/lib64/evolution/2.24/plugins/liborg-gnome-evolution-caldav.so’:
/usr/lib64/evolution/2.24/plugins/liborg-gnome-evolution-caldav.so:
undefined symbol: g_dgettext
*** nss-shared-helper: Shared database disabled (set NSS_USE_SHARED_DB
to enable).
*** nss-shared-helper: Shared database disabled (set NSS_USE_SHARED_DB
to enable).

(evolution:4085): e-utils-WARNING **: can’t load plugin
‘/usr/lib64/evolution/2.24/plugins/liborg-gnome-prefer-plain.so’:
/usr/lib64/evolution/2.24/plugins/liborg-gnome-prefer-plain.so:
undefinedsymbol: g_dgettext

(evolution:4085): camel-WARNING **: camel_exception_get_id called with
NULL parameter.
/usr/bin/evolution: symbol lookup error:
/usr/lib64/libcamel-provider-1.2.so.14: undefined symbol: g_dgettext


davinator

davinator’s Profile: http://forums.opensuse.org/member.php?userid=20530
View this thread: http://forums.opensuse.org/showthread.php?t=405607

Try renaming your hidden .evolution folder to .evolutionold

I have a feeling the plugin enabled there is no longer supported.

You should be able to import mail and addresses etc… from the old
folder later


Box: Linux 2.6.27.7-9 i686 | OS 11.1 | (KDE4.1.96) "78.1"rc1 | M2N4-SLI
| AMD 64 X2 5200+ | nVidia 8500GT | 2GB RAM
Lap: OS 11.1 | Celeron 550 | (KDE4.1.96)"78.1"rc1 | Intel 965 GM |
Lenovo R61e | 3GB RAM

caf4926’s Profile: http://forums.opensuse.org/member.php?userid=204
View this thread: http://forums.opensuse.org/showthread.php?t=405607

No, renaming it didn’t work, I tried to remove it completely, but still
Evolution doesn’t start. It never did, but the folder is created again.


davinator

davinator’s Profile: http://forums.opensuse.org/member.php?userid=20530
View this thread: http://forums.opensuse.org/showthread.php?t=405607

I’m not sure then. Maybe a gnome user will spot this and have some
input.


Box: Linux 2.6.27.7-9 i686 | OS 11.1 | (KDE4.1.96) "78.1"rc1 | M2N4-SLI
| AMD 64 X2 5200+ | nVidia 8500GT | 2GB RAM
Lap: OS 11.1 | Celeron 550 | (KDE4.1.96)"78.1"rc1 | Intel 965 GM |
Lenovo R61e | 3GB RAM

caf4926’s Profile: http://forums.opensuse.org/member.php?userid=204
View this thread: http://forums.opensuse.org/showthread.php?t=405607

I have the same problem.
I have SUSE 11.0 installed and had Evolution 2.22 working fine.
But after upgrading to Evolution 2.24 I get the same error as you.
I believe that there is some other library package that needs to
be upgraded to avoid the “undefined symbol: g_dgettext” but I’m not
sure which one.
I guess that a complete upgrade to Suse 11.1 may work and will probably
do this at some stage.
But let me know if you find a simpler way to get it working.


sifonios

sifonios’s Profile: http://forums.opensuse.org/member.php?userid=21287
View this thread: http://forums.opensuse.org/showthread.php?t=405607

Where did you get Evolution 2.24 for oS 11.0?
I don’t know of a GNOME 2.24 upgrade for 11.0

What you see is evolution looking for plug-ins of version 2.24, which
are not installed. You are missing dependencies, so how did you install
Evolution 2.24?


bela42

bela42’s Profile: http://forums.opensuse.org/member.php?userid=5809
View this thread: http://forums.opensuse.org/showthread.php?t=405607

1.after downgrade evolution
linux-542k:~> evolution
CalDAV Eplugin starting up …
** (evolution:9317): DEBUG: mailto URL command: evolution %s
** (evolution:9317): DEBUG: mailto URL program: evolution
evolution: symbol lookup error: /usr/lib/libgtkhtml-3.14.so.19:
undefined symbol: g_dgettext

  1. after downgrade gtkhtml2
    it got work


qwerqwercn

qwerqwercn’s Profile: http://forums.opensuse.org/member.php?userid=21294
View this thread: http://forums.opensuse.org/showthread.php?t=405607

I used Yast2 and edited the SUSE repository URLs from 11.0 to 11.1
I could then install Evolution 2.24 via Yast2.
However there must be some dependencies not correctly recorded
because I got that error.
However I have just now fixed it by also upgrading glib and glib2
to the latest versions.
Evolution seems to be working now. I just started it and it got past
the
point where I was getting the crash. But is taking some time
migrating my mail directories (not surprising since there are
about 100 of them).
I expect it will be fine now.


sifonios

sifonios’s Profile: http://forums.opensuse.org/member.php?userid=21287
View this thread: http://forums.opensuse.org/showthread.php?t=405607

has anyone tried setting the environment variable before starting
evolution? I had this issue with thunderbird and executing ‘export
NSS_USE_SHARED_DB=enabled’ worked to work around it. I dont know what
is going on…


mscroggi

mscroggi’s Profile: http://forums.opensuse.org/member.php?userid=16500
View this thread: http://forums.opensuse.org/showthread.php?t=405607